<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:import href="./ViewFolder_templates.xsl" />

<xsl:output method="html" indent="no" />

<xsl:param name="baseActionURL" />
<xsl:param name="baseDownloadURL" />
<xsl:param name="prefForm" />
<xsl:param name="mediaPath" />

<xsl:template match="folder">

<script language="javascript" src="{$mediaPath}highlight.js" >
</script>
	
	<table width="100%" border="0" cellspacing="0" cellpadding="5">
		<tr class="uportal-background-light">
			
			<xsl:call-template name="outil.actualiser" />
			<xsl:call-template name="outil.nouveau.document" />
			<xsl:call-template name="outil.nouveau.dossier" />
			<xsl:call-template name="outil.suppression.dossier" />
			<xsl:call-template name="outil.modification.dossier" />
			<xsl:call-template name="outil.permissions" />
			<xsl:call-template name="outil.intranets" />
			
			<td width="100%">&#160;</td>
		</tr>
	</table>
		
	<br/>
	
	<!-- Affichage chemin courant -->
	<table border="0" width="100%">
		<tr>
			<xsl:apply-templates select="path/subfolder" />
			<td width="100%">&#160;</td>
		</tr>
	</table>
	
	<!-- Affichage des sous-dossiers -->		
	<xsl:apply-templates select="subfolders" />
	
	<!-- Affichage des documents -->
	<xsl:apply-templates select="documents" />

</xsl:template>

<!-- Affichage des documents -->
<xsl:template match="documents">
	
	<xsl:if test="count(document)!=0">
		<br/>
		
		<xsl:choose>
			<!-- Dossier soumis à validation -->
			<xsl:when test="/xml/folder/@validation='true'">
			<!-- Formulaire multiple suppression et validation -->
				<form method="post" action="{$baseActionURL}">
					<input type="hidden" name="action" value="multiple" />
					<input type="hidden" name="folderid" value="{/xml/folder/@id}" />

					<input type="submit" name="butvalid" class="uportal-button" value="Valider" /><input type="submit" name="butsuppr" class="uportal-button" value="Supprimer" />
					<br/>
					<br/>
					<table border="0" width="100%" cellpadding="1" cellspacing="0">
						<!-- Affichage des documents -->
						<xsl:apply-templates select="document" />
					</table>			
					<br/>
					<input type="submit" name="butvalid" class="uportal-button" value="Valider" /><input type="submit" name="butsuppr" class="uportal-button" value="Supprimer" />
				</form>
			</xsl:when>
			
			<!-- Dossier non soumis à validation -->
			<xsl:otherwise>
			<!-- Formulaire multiple suppression uniquement -->
				<form method="post" action="{$baseActionURL}">
					<input type="hidden" name="action" value="multiple" />
					<input type="hidden" name="folderid" value="{/xml/folder/@id}" />

					<input type="submit" name="butsuppr" class="uportal-button" value="Supprimer" />
					<br/>
					<br/>
					<table border="0" width="100%" cellpadding="1" cellspacing="0">
						<!-- Affichage des documents -->
						<xsl:apply-templates select="document" />
					</table>			
					<br/>
					<input type="submit" name="butsuppr" class="uportal-button" value="Supprimer" />
				</form>
			</xsl:otherwise>
				
		</xsl:choose>
		
	</xsl:if>
	
</xsl:template>

<!-- Affichage des options de document -->
<xsl:template match="document">
	
	<xsl:choose>
		
	<!-- Dossier soumis à validation document valide -->
		<xsl:when test="/xml/folder/@validation='true' and ./@valid='true'">
			<xsl:call-template name="validation.valid" />
		</xsl:when>
		
	<!-- Dossier soumis à validation document invalide -->
		<xsl:when test="/xml/folder/@validation='true' and ./@valid='false'">
			<xsl:call-template name="validation.invalid" />
		</xsl:when>
		
	<!-- Dossier non soumis à validation -->
		<xsl:otherwise>
			<xsl:call-template name="novalidation" />
		</xsl:otherwise>
		
	</xsl:choose>

</xsl:template>

<!-- Affichage des icones -->

<!-- Dossier soumis à validation document valide -->
<xsl:template name="validation.valid">
	<tr onmouseover="setPointer(this, 'over', 'uportal-background-light', 'BODY');" onmouseout="setPointer(this, 'out', 'uportal-background-light', 'BODY');">	
		<xsl:choose>
			<xsl:when test="./@locked='false'">
				<xsl:call-template name="icon.checkbox" />
				<xsl:call-template name="icon.zoom" />
				<xsl:call-template name="icon.modify" />
				<xsl:call-template name="icon.delete" />
			</xsl:when>
			<xsl:when test="./@locked='true'">
				<xsl:call-template name="icon.nocheckbox" />
				<xsl:call-template name="icon.zoom" />
				<xsl:call-template name="icon.modified" />
				<xsl:call-template name="icon.nodelete" />
			</xsl:when>
		</xsl:choose>
		
		<td width="5%">&#160;</td>
		
		<xsl:choose>
			<xsl:when test="./@type='file'">
				<xsl:call-template name="document.fichier" />
			</xsl:when>
			<xsl:when test="./@type='link'">
				<xsl:call-template name="document.lien" />
			</xsl:when>
		</xsl:choose>
		
		<td width="100%">&#160;</td>
	</tr>
</xsl:template>

<!-- Dossier soumis à validation document invalide -->
<xsl:template name="validation.invalid">
	<tr class="uportal-background-highlight" onmouseover="setPointer(this, 'over', 'uportal-background-light', 'uportal-background-highlight');" onmouseout="setPointer(this, 'out', 'uportal-background-light', 'uportal-background-highlight');">	
		<xsl:call-template name="icon.checkbox" />
		<xsl:call-template name="icon.zoom" />
		<xsl:call-template name="icon.new" />
		<xsl:call-template name="icon.delete" />
		
		<td width="5%">&#160;</td>
		
		<xsl:choose>
			<xsl:when test="./@type='file'">
				<xsl:call-template name="document.fichier" />
			</xsl:when>
			<xsl:when test="./@type='link'">
				<xsl:call-template name="document.lien" />
			</xsl:when>
		</xsl:choose>
		
		<td width="100%">&#160;</td>
	</tr>
</xsl:template>

<!-- Dossier non soumis à validation -->
<xsl:template name="novalidation">
	<tr onmouseover="setPointer(this, 'over', 'uportal-background-light', 'BODY');" onmouseout="setPointer(this, 'out', 'uportal-background-light', 'BODY');">
		<xsl:call-template name="icon.checkbox" />
		<xsl:call-template name="icon.zoom" />
		<xsl:call-template name="icon.modify" />
		<xsl:call-template name="icon.delete" />
		
		<td width="5%">&#160;</td>
		
		<xsl:choose>
			<xsl:when test="./@type='file'">
				<xsl:call-template name="document.fichier" />
			</xsl:when>
			<xsl:when test="./@type='link'">
				<xsl:call-template name="document.lien" />
			</xsl:when>
		</xsl:choose>

		<td width="100%">&#160;</td>
	</tr>
</xsl:template>
			
</xsl:stylesheet>